API referenceEmail messages
GET
/email/api/v1/emails/{id}/attachments/{attachmentId}

The file's bytes, as a download (Content-Disposition: attachment).

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

An email (emm_…), or the engine's own id (provider_id) with account_id.

attachmentId*string

An attachment's id from the email.

Query Parameters

account_id?string

The mailbox (em_…): required with a provider id, else it must be the id's own.

Response Body

application/octet-stream

application/json

application/json

application/json

curl -X GET "https://example.com/email/api/v1/emails/string/attachments/string"
"string"